## kiki-the-nano-bot 1.0.2%2Bdfsg1

=== debian/control ===
Source: kiki-the-nano-bot
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Peter De Wachter <pdewacht@gmail.com>
Build-Depends:
 debhelper (>= 9),
 dpkg-dev (>= 1.16.1~),
 freeglut3-dev,
 libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 libsdl-image1.2-dev,
 libsdl-mixer1.2-dev,
 libsdl1.2-dev,
 python-dev,
 swig,
 vorbis-tools
Standards-Version: 3.9.6
Homepage: http://kiki.sourceforge.net/
Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/kiki-the-nano-bot/
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-games/packages/trunk/kiki-the-nano-bot/

Package: kiki-the-nano-bot
Architecture: any
Depends:
 kiki-the-nano-bot-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: 3D puzzle game, mixing Sokoban and Kula-World
 Kiki the nano bot is a 3D puzzle game, a mixture of Sokoban and Kula-World.
 Your task is to help Kiki, a small robot living in the nano world, repair
 its Maker.

Package: kiki-the-nano-bot-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Suggests:
 kiki-the-nano-bot
Description: Kiki the nano bot - game data
 Kiki the nano bot is a 3D puzzle game, a mixture of Sokoban and Kula-World.
 Your task is to help Kiki, a small robot living in the nano world, repair
 its Maker.
 .
 This package contains data files required by the game Kiki the nano bot.
