## kiki-the-nano-bot 1.0.2+dfsg1

=== debian/changelog ===
kiki-the-nano-bot (1.0.2+dfsg1-6build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:31:04 +0000

kiki-the-nano-bot (1.0.2+dfsg1-6) unstable; urgency=medium

  [ Peter De Wachter ]
  * Fix miscompilation with SWIG 3.0. (Closes: #809317)
  * Pass --serial to oggenc to make package build reproducible.
    (Closes: #775994)
  * Declare compliance with Debian Policy 3.9.6.
  * wrap-and-sort -sa.
  * Vcs-Browser: Use https.
  * tumiki-fighters.desktop: Add keywords.
  * Drop README.source because source format 3.0 uses quilt by default.

  [ Markus Koschany ]
  * debian/control: kiki-the-nano-bot-data: Suggest kiki-the-nano-bot.

 -- Peter De Wachter <pdewacht@gmail.com>  Sun, 10 Jan 2016 13:27:48 +0100

kiki-the-nano-bot (1.0.2+dfsg1-5) unstable; urgency=low

  * Fixed FTBFS (incorrect python-config command) (Closes: #713274)
  * Add virtual-destructors.patch to fix undefined behavior
  * Packaging cleanups
    - Switch to source format 3
    - Use build-hardening flags
    - Switch to debhelper 9
  * Bumped Standards-Version to 3.9.4.

 -- Peter De Wachter <pdewacht@gmail.com>  Tue, 02 Jul 2013 00:01:32 +0200

kiki-the-nano-bot (1.0.2+dfsg1-4) unstable; urgency=low

  [ Peter De Wachter ]
  * Fixed FTBFS with newer gcc. (Closes: #625047)
    - Added patch: SWIG-KikiText.patch

  [ Evgeni Golov ]
  * Adjust descriptions, thanks lintian.

 -- Peter De Wachter <pdewacht@gmail.com>  Sun, 08 May 2011 21:11:32 +0200

kiki-the-nano-bot (1.0.2+dfsg1-3) unstable; urgency=low

  * Fixed typo in package description. (Closes: #503717)
  * Fixed FTBFS on kfreebsd-i386. Thanks to Petr Salinger. (Closes: #542802)
  * Bumped Standards-Version to 3.8.3. No changes needed.

 -- Peter De Wachter <pdewacht@gmail.com>  Sat, 22 Aug 2009 22:38:50 +0200

kiki-the-nano-bot (1.0.2+dfsg1-2) unstable; urgency=low

  * List vorbis-tools as Build-Depends instead of Build-Depends-Indep.
  * Fixed a crash that occured when using the level selection dialog
    before solving any levels. (Closes: #503389)

 -- Peter De Wachter <pdewacht@gmail.com>  Sat, 25 Oct 2008 15:52:17 +0200

kiki-the-nano-bot (1.0.2+dfsg1-1) unstable; urgency=low

  * Initial release (Closes: #384581)
  * Several patches applied, see individual patches in the source package for
    details.
  * Converted sound files to Ogg Vorbis for smaller download size.

 -- Peter De Wachter <pdewacht@gmail.com>  Mon, 25 Aug 2008 00:32:53 +0200
