=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kiki-the-nano-bot
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Peter De Wachter <pdewacht@gmail.com>
 Build-Depends:
